<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
   
      <link rel="stylesheet" href="file:////opt/MATLAB/R2012b/toolbox/matlab/helptools/private/helpwin.css">
      <title>MATLAB File Help: link</title>
   </head>
   <body>
      <!--Single-page help-->
      <table border="0" cellspacing="0" width="100%">
         <tr class="subheader">
            <td class="headertitle">MATLAB File Help: link</td>
            <td class="subheader-left">View code for link</td>
            <td class="subheader-right">Default Topics</td>
         </tr>
      </table>
      <div class="title">link</div>
      <div class="helptext"><pre><!--helptext -->  <span class="helptopic">link</span> A container to handle inner objects, functions, or strings to evaluate.
   The <span class="helptopic">link</span> can be evaluated to get its content. It can also be referenced 
   using sub-indexing (e.g. L(1:10) or L{1} or L.field), as well as assigned
   when the initial object supports it. The evaluation is only performed when 
   it is required, so that the <span class="helptopic">link</span> instantiation is immediate (aka lazy loading).
 
   L = <span class="helptopic">link</span>(object, ...) connects to an object, that must have a feval or 
   double method. Additional arguments are passed for the evaluation.
 
   L = <span class="helptopic">link</span>(function_handle, ...) connects to a function, which can be evaluated.
   Additional arguments are passed for the evaluation.
 
   L = <span class="helptopic">link</span>(expr) evaluates the expression (given as string or cellstr). The 
   expression can be preceeded with a URL specifying the type of the content, 
   such as a 
     'file:','http:','https','ftp:'       to load a distant raw content.
     'matlab:','python:','perl:','julia:' to use a language.
   The default content is supposed to be 'matlab:' expression.
   Linked expressions usually support sub-indexing, and assignments when the 
   target object does.
   When using a language expression other than matlab, the link value is always 
   converted into a numeric vector (empty when no number is found).
  
  Example: a=link('matlab: rand(5)'); isnumeric(a(1))
  Example: a=link(@iData, fullfile(ifitpath,'data/POSCAR_Si')); isa(feval(a),'iData')</pre></div><!--after help --><!--seeAlso--><div class="footerlinktitle">See also</div><div class="footerlink"> memmapfile, importdata, perl, function_handle, evals
</div>
      <!--Class-->
      <div class="sectiontitle">Class Details</div>
      <table class="class-details">
         <tr>
            <td class="class-detail-label">Superclasses</td>
            <td>handle</td>
         </tr>
         <tr>
            <td class="class-detail-label">Sealed</td>
            <td>false</td>
         </tr>
         <tr>
            <td class="class-detail-label">Construct on load</td>
            <td>false</td>
         </tr>
      </table>
      <!--Constructors-->
      <div class="sectiontitle"><a name="constructors"></a>Constructor Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">link</td>
            <td class="m-help">Create a link to an object.&nbsp;</td>
         </tr>
      </table>
      <!--Properties-->
      <div class="sectiontitle"><a name="properties"></a>Property Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">arguments</td>
            <td class="m-help">Additional arguments for e.g. function_handle.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">reference</td>
            <td class="m-help">The object/data source.&nbsp;</td>
         </tr>
      </table>
      <!--Methods-->
      <div class="sectiontitle"><a name="methods"></a>Method Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">addlistener</td>
            <td class="m-help">Add listener for event.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">delete</td>
            <td class="m-help">Delete a handle object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">double</td>
            <td class="m-help">Evaluate a LINK object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">eq</td>
            <td class="m-help">== (EQ)   Test handle equality.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">feval</td>
            <td class="m-help">Evaluate a LINK object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">findobj</td>
            <td class="m-help">Find objects matching specified conditions.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">findprop</td>
            <td class="m-help">Find property of MATLAB handle object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ge</td>
            <td class="m-help">&gt;= (GE)   Greater than or equal relation for handles.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">gt</td>
            <td class="m-help">&gt; (GT)   Greater than relation for handles.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">Sealed 
               &nbsp;
               
            </td>
            <td class="name">isvalid</td>
            <td class="m-help">Test handle validity.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">le</td>
            <td class="m-help">&lt;= (LE)   Less than or equal relation for handles.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">lt</td>
            <td class="m-help">&lt; (LT)   Less than relation for handles.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ne</td>
            <td class="m-help">~= (NE)   Not equal relation for handles.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">notify</td>
            <td class="m-help">Notify listeners of event.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">runtests</td>
            <td class="m-help">Run a set of tests on object methods.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">subsasgn</td>
            <td class="m-help">Subscripted assignment.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">subsref</td>
            <td class="m-help">Subscripted reference.&nbsp;</td>
         </tr>
      </table>
   </body>
</html>
